"use strict";

require("core-js/modules/es6.object.define-property");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.initStore = initStore;

var _redux = require("redux");

var _remoteReduxDevtools = _interopRequireDefault(require("remote-redux-devtools"));

var reducers = _interopRequireWildcard(require("./reducers/index"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function initStore(isDebugRedux) {
  return (0, _redux.createStore)((0, _redux.combineReducers)(reducers), (0, _remoteReduxDevtools.default)({
    realtime: isDebugRedux,
    port: 9009
  }));
}